Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.theme
Class ThemeChangeInterceptor

    java.lang.Object
      org.springframework.web.servlet.handler.HandlerInterceptorAdapter
          org.springframework.web.servlet.theme.ThemeChangeInterceptor

All Implemented Interfaces:
  HandlerInterceptor

    public class ThemeChangeInterceptor

extends HandlerInterceptorAdapter

Interceptor that allows for changing the current theme on every request, via a configurable request parameter.

Since:
  20.06.2003
Author:
  Juergen Hoeller
See Also:
  `ThemeResolver`

Field Summary
`static java.lang.String` | `DEFAULT_PARAM_NAME` Default name of the theme specification parameter: "theme".

Constructor Summary
`ThemeChangeInterceptor()`

Method Summary
`java.lang.String` | `getParamName()` Return the name of the parameter that contains a theme specification in a theme change request.
`boolean` | `preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)` This implementation always returns `true`.
`void` | `setParamName(java.lang.String paramName)` Set the name of the parameter that contains a theme specification in a theme change request.

Methods inherited from class org.springframework.web.servlet.handler.HandlerInterceptorAdapter
`afterCompletion, postHandle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PARAM_NAME

    public static final java.lang.String DEFAULT_PARAM_NAME

  Default name of the theme specification parameter: "theme".

  See Also:
    Constant Field Values

Constructor Detail

### ThemeChangeInterceptor

    public ThemeChangeInterceptor()

Method Detail

### setParamName

    public void setParamName(java.lang.String paramName)

  Set the name of the parameter that contains a theme specification in a theme change request. Default is "theme".

### getParamName

    public java.lang.String getParamName()

  Return the name of the parameter that contains a theme specification in a theme change request.

### preHandle

    public boolean preHandle(javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response,
                             java.lang.Object handler)
                      throws javax.servlet.ServletException

  Description copied from class: `HandlerInterceptorAdapter`
  This implementation always returns `true`.

  Specified by:
    `preHandle` in interface `HandlerInterceptor`
  Overrides:
    `preHandle` in class `HandlerInterceptorAdapter`
  Parameters:
    `request` - current HTTP request
    `response` - current HTTP response
    `handler` - chosen handler to execute, for type and/or instance evaluation
  Returns:
    `true` if the execution chain should proceed with the next interceptor or the handler itself. Else, DispatcherServlet assumes that this interceptor has already dealt with the response itself.
  Throws:
    `javax.servlet.ServletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD